Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## igeo.io
Class IRhino3dm.PlaneSurface

    java.lang.Object
      igeo.io.IRhino3dm.RhinoObject
          igeo.io.IRhino3dm.Geometry
              igeo.io.IRhino3dm.Surface
                  igeo.io.IRhino3dm.PlaneSurface

Direct Known Subclasses:
  IRhino3dm.ClippingPlaneSurface

Enclosing class:
  IRhino3dm

    public static class IRhino3dm.PlaneSurface

extends IRhino3dm.Surface

Nested Class Summary

Nested classes/interfaces inherited from class igeo.io.IRhino3dm.Surface
`IRhino3dm.Surface.ISO`

Field Summary
`IRhino3dm.Interval[]` | `domain`
`IRhino3dm.Interval[]` | `extents`
`IRhino3dm.Plane` | `plane`
`static java.lang.String` | `uuid`

Fields inherited from class igeo.io.IRhino3dm.RhinoObject
`attributes, objectTypeAnnotation, objectTypeAny, objectTypeBeam, objectTypeBrep, objectTypeCage, objectTypeClipPlane, objectTypeCurve, objectTypeDetail, objectTypeEdgeFilter, objectTypeExtrusion, objectTypeGrip, objectTypeHatch, objectTypeInstanceDefinition, objectTypeInstanceReference, objectTypeLayer, objectTypeLight, objectTypeLoop, objectTypeMaterial, objectTypeMesh, objectTypeMeshEdge, objectTypeMeshFace, objectTypeMeshVertex, objectTypeMorphControl, objectTypePhantom, objectTypePoint, objectTypePointset, objectTypePolyledgeFilter, objectTypePolysrfFilter, objectTypeSurface, objectTypeTextDot, objectTypeUnknown, objectTypeUserData`

Constructor Summary
`IRhino3dm.PlaneSurface()`

Method Summary
`ISurfaceGeo` | `createIGeometry(IRhino3dm.Rhino3dmFile context, IServerI s)`
`ISurface` | `createIObject(IRhino3dm.Rhino3dmFile context, IServerI s)`
`IRhino3dm.Interval` | `domain(int dir)`
`IRhino3dm.UUID` | `getClassUUID()`
`boolean` | `isValid()`
`void` | `read(IRhino3dm.Rhino3dmFile context, java.io.InputStream is)`

Methods inherited from class igeo.io.IRhino3dm.Surface
`getInt, getType, readIso`

Methods inherited from class igeo.io.IRhino3dm.RhinoObject
`read, setAttributes, setAttributesToIObject, write`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### uuid

    public static final java.lang.String uuid

See Also:
  Constant Field Values

### plane

    public IRhino3dm.Plane plane

### domain

    public IRhino3dm.Interval[] domain

### extents

    public IRhino3dm.Interval[] extents

Constructor Detail

### IRhino3dm.PlaneSurface

    public IRhino3dm.PlaneSurface()

Method Detail

### getClassUUID

    public IRhino3dm.UUID getClassUUID()

  Overrides:
    `getClassUUID` in class `IRhino3dm.Surface`

### read

    public void read(IRhino3dm.Rhino3dmFile context,
                     java.io.InputStream is)
              throws java.io.IOException

  Overrides:
    `read` in class `IRhino3dm.RhinoObject`
  Throws:
    `java.io.IOException`

### createIObject

    public ISurface createIObject(IRhino3dm.Rhino3dmFile context,
                                  IServerI s)

  Overrides:
    `createIObject` in class `IRhino3dm.Surface`

### createIGeometry

    public ISurfaceGeo createIGeometry(IRhino3dm.Rhino3dmFile context,
                                       IServerI s)

  Overrides:
    `createIGeometry` in class `IRhino3dm.Surface`

### domain

    public IRhino3dm.Interval domain(int dir)

  Overrides:
    `domain` in class `IRhino3dm.Surface`

### isValid

    public boolean isValid()

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD